%global momorel 4

Summary: HP Linux Imaging and Printing Project
Name: hplip
Version: 1.7.4a
Release: %{momorel}m%{?dist}
License: GPL or MIT/X or BSD
Group: System Environment/Daemons
Conflicts: system-config-printer < 0.6.132
Obsoletes: hpoj <= 0.91
Obsoletes: xojpanel <= 0.91

Url: http://sourceforge.net/projects/hpinkjet
Source: http://dl.sourceforge.net/sourceforge/hplip/%{name}-%{version}.tar.gz
NoSource: 0
Patch1: hplip-desktop.patch
Patch2: hplip-config.patch
Patch3: hplip-quiet.patch
# Patch4: hplip-cups-backend.patch
Patch5: hplip-compile.patch
Patch6: hplip-libm.patch
Patch7: hplip-1.6.6-disable-service.patch
Patch10: hplip-1.7.4a-viewstatus.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: desktop-file-utils >= 0.2.92
Requires: PyQt
Requires: chkconfig

Requires: hpijs = %{version}-%{release}

BuildRequires: net-snmp-devel >= 5.4
BuildRequires: cups-devel
BuildRequires: python-devel >= 2.5
BuildRequires: libjpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: libusb-devel
BuildRequires: autoconf

%description
The Hewlett-Packard Linux Imaging and Printing Project provides
drivers for HP printers and multi-function peripherals.

%package -n hpijs
Summary: HP Printer Drivers
Group: Applications/Publishing
License: BSD

%description -n hpijs
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C, and PhotoSmart 100 series.

%package -n libsane-hpaio
Summary: SANE driver for scanners in HP's multi-function devices
Group: System Environment/Daemons
License: GPL
Obsoletes: libsane-hpoj <= 0.91
Requires: sane-backends
ExcludeArch: s390 s390x

%description -n libsane-hpaio
SANE driver for scanners in HP's multi-function devices (from HPOJ).

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q

# Use /usr/share/applications for putting desktop files in.
%patch1 -p1 -b .desktop

# Use static IP ports (for SELinux policy).
# %patch2 -p1 -b .config

# Quieten hpssd on startup.
%patch3 -p1 -b .quiet

# Always use /usr/lib/cups/backend.
# %%patch4 -p1 -b .cups-backend

# Work around missing linux/compiler.h.
# %patch5 -p1 -b .compile

# libhpip should link against libm (bug #197599).
# %patch6 -p1 -b .libm

# Do not start daemon at default
%patch7 -p1 -b .disable_service

%patch10 -p1

autoconf # for patch4

%build
%configure --disable-foomatic-install --disable-cups-install
make hpppddir=%{_datadir}/foomatic/db/source/PPD/HP

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot} \
	hpppddir=%{_datadir}/foomatic/db/source/PPD/HP

# Move SANE backend into correct directory
mkdir -p %{buildroot}%{_libdir}/sane
mv %{buildroot}%{_libdir}/libsane-*.so* %{buildroot}%{_libdir}/sane

# Remove unpackaged files
rm -rf	%{buildroot}%{_sysconfdir}/sane.d \
	%{buildroot}%{_docdir}

rm -f	%{buildroot}%{_bindir}/foomatic-rip \
	%{buildroot}%{_libdir}/cups/filter/foomatic-rip \
	%{buildroot}%{_libdir}/*.la \
	%{buildroot}%{_libdir}/*.so \
	%{buildroot}%{_datadir}/cups/model/foomatic-ppds \
	%{buildroot}%{_datadir}/applications/hplip.desktop

mkdir -p %{buildroot}%{_datadir}/applications
echo 'Hidden=true' >> %{buildroot}%{_datadir}/hplip/data/hplip.desktop
desktop-file-install --vendor HP				\
	--dir %{buildroot}%{_datadir}/applications		\
	--add-category Utility					\
    --remove-category Application \
	%{buildroot}%{_datadir}/hplip/data/hplip.desktop

# Move initscript
mkdir -p %{buildroot}%{_sysconfdir}/init.d

# Remove files we don't want to package.
rm -f %{buildroot}%{_datadir}/hplip/COPYING
rm -f %{buildroot}%{_datadir}/hplip/hplip
rm -f %{buildroot}%{_datadir}/hplip/hplip.conf
rm -f %{buildroot}%{_datadir}/hplip/hplip_overview.png
rm -f %{buildroot}%{_datadir}/hplip/hplip_readme.html
rm -f %{buildroot}%{_datadir}/hplip/hplip.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*
%dir %{_sysconfdir}/hp
%config(noreplace) %{_sysconfdir}/hp/hplip.conf
%config(noreplace) %{_sysconfdir}/init.d/hplip
%{_bindir}/hp-*
%{_sbindir}/hpiod
%{_libdir}/cups/backend/hp
%{_libdir}/cups/backend/hpfax
%{_datadir}/hplip
%{_libdir}/python*/site-packages/*
%{_datadir}/applications/*.desktop

%files -n hpijs
%defattr(-,root,root)
%doc prnt/hpijs/COPYING
%{_bindir}/hpijs
%{_datadir}/foomatic/db/source/PPD/HP/fax
# %%{_bindir}/hppgsz

%files -n libsane-hpaio
%defattr(-,root,root)
%{_libdir}/libhpip.so*
%{_libdir}/sane/libsane-*.so*

%post
/sbin/chkconfig --add hplip || :
if [ "$1" == "2" ]; then
  /sbin/service hplip condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ "$1" == "0" ]; then
  /sbin/service hplip stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del hplip
fi
exit 0

%post -n libsane-hpaio
/sbin/ldconfig
if [ -f /etc/sane.d/dll.conf ] && \
   ! grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
        echo hpaio >> /etc/sane.d/dll.conf; \
fi
exit 0

%changelog
* Mon Jul 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4a-4m)
- add Requires: chkconfig

* Sun Jul 15 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.4a-3m)
- add Patch10: hplip-1.7.4a-viewstatus.patch
  reported by tattsan [Momonga-devel.ja:03503] and [Momonga-devel.ja:03504]
  [momongaja:00189] http://developer.momonga-linux.org/kagemai/guest.cgi?project=momongaja&action=view_report&id=189

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4-2m)
- rebuild against net-snmp

* Wed May 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.4-1m)
- update 1.7.4a

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.2-1m)
- update 1.7.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.12-1m)
- update 1.6.12

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.6a-5m)
- remove category X-Red-Hat-Extra Application

* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-4m)
- remove hplip-cups-backend.patch

* Wed Aug  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-3m)
- rebuild against net-snmp 5.3.1.0

* Tue Aug  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.6a-2m)
- add hplip-1.6.6-disable-service.patch for stable release
- revise %%files

* Sun Jul 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-1m)
- update 1.6.6a

* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.6-1m)
- update 1.6.6

* Mon May 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.11-1m)
- update 0.9.11

* Fri Nov 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update 0.9.7

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.6-2m)
- rebuild against python-2.4.2
- Requires: PyQt >= 3.13-7m

* Fri Oct 14 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.6-1m)
- update 0.9.6

* Sun Oct  2 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.5-1m)
- update 0.9.5

* Sun Aug 28 2005 Yohsuke Ooi <meke@momonga-linux.org>
- First import, based on Fedora (0.9.4-3).

